DTC.styles = {
	//Titles
	titles : {
		generic : {
			text : "TITLE DEMO, CHANGE ME",
			margin_top : 5,
			margin_bottom : 20,
			left : DTC.sizes.resultSeparatorLineLeft,
			color : DTC.colors.blue,
			shadowColor : DTC.colors.grey,
			shadowOffset : {
				x : 5,
				y : 5
			},
			font : {
				fontSize : DTC.sizes.labelH2,
				fontWeight : 'bold'
			},
			textAlign : 'left'
		},
		result : {
			text : "TITLE DEMO, CHANGE ME",
			margin_top : 5,
			margin_bottom : 10,
			left : DTC.sizes.resultSeparatorLineLeft,
			color : DTC.colors.blue,
			shadowColor : DTC.colors.grey,
			shadowOffset : {
				x : 5,
				y : 5
			},
			font : {
				fontSize : DTC.sizes.labelH1,
				fontWeight : 'bold'
			},
			textAlign : 'left'
		},	
		centered : {
			text : "TITLE DEMO, CHANGE ME",
			top : 10,
			bottom : 10,
			left:'auto',
			right:'auto',
			color : DTC.colors.blue,
			shadowColor : DTC.colors.grey,
			shadowOffset : {
				x : 5,
				y : 5
			},
			font : {
				fontSize : DTC.sizes.labelH1,
				fontWeight : 'bold'
			},
			textAlign : 'center'
		},	
		small_centered : {
			text : "TITLE DEMO, CHANGE ME",
			top : 10,
			bottom : 10,
			left:'auto',
			right:'auto',
			color : DTC.colors.blue,
			shadowColor : DTC.colors.grey,
			shadowOffset : {
				x : 5,
				y : 5
			},
			font : {
				fontSize : DTC.sizes.labelH4,
				fontWeight : 'bold'
			},
			textAlign : 'center'
		},	
		menu : {
			top :DTC.sizes.servicesLabelTop,
			left :DTC.sizes.servicesLabelLeft,
			width : 'auto',
			color :DTC.colors.white,
			font : {
				fontSize :DTC.sizes.labelH1,
				fontWeight : 'bold'
			},
			textAlign : 'left'
		},
		subMenu : {
			top :DTC.sizes.labelHowToTop,
			left :DTC.sizes.labelHowToLeft,
			width : 'auto',
			color :DTC.colors.white,
			font : {
				fontSize : DTC.sizes.labelH4,
			},
			textAlign : 'left'
		}
	},
	//Labels
	labels : {
		generic : {
			text : "LABEL DEMO, CHANGE ME",
			margin_top : 0,
			margin_bottom : 0,
			left : DTC.sizes.resultSeparatorLineLeft,
			color : DTC.colors.black,
			font : {
				fontSize : DTC.sizes.labelH4,
			},
			textAlign : 'left'
		},
		link : {
			color : DTC.colors.blue,
		},
		linkDomainAvailable : {
			left : (Ti.Platform.displayCaps.platformWidth/2)-50,
			color : DTC.colors.red,
			backgroundColor : 'yellow',
			borderRadius : 5,
			font : {
				fontSize : DTC.sizes.labelH1,
				fontWeight : 'bold'
			},
		},
	},
	//Boxes
	blocks : {
		generic : {
			top : 5,
			margin_top : 5,
			margin_bottom : 0,
			left : 5,
			right : 5,
			backgroundColor : DTC.colors.white,
			color : DTC.colors.black,
			borderRadius : 0,
			font : {
				fontSize : DTC.sizes.labelH3,
			},
			textAlign : 'left'
		},
		record : {
			top : 5,
			margin_top : 5,
			margin_bottom : 0,
			left : 15,
			right : 15,
			backgroundColor : DTC.colors.light_grey,
			color : DTC.colors.black,
			borderRadius : 5,
			font : {
				fontSize : DTC.sizes.labelH3,
			},
			textAlign : 'left'
		}
	},
	//Buttons
	buttons : {
		generic : {
			left : 5,
			width : 'auto',
			height : 10
		},
		menu : {
			left : DTC.sizes.iconButtonsServicesLeft,
			width : DTC.sizes.iconButtonsServicesHeight,
			height : DTC.sizes.iconButtonsServicesWidth
		}
	},
	//Views
	views : {
		generic : {
			margin_top : 5,
			backgroundColor : DTC.colors.white,
		},
	},
	images : {
		generic : {
			margin_top : 5,
			left : 5,
			right : 5,
		},
	},
	screenshots : {
		generic : {
			margin_top : 5,
			left : 5,
			right : 5,
		},
	}
};
