DTC.lang = {
	
	loading:'Loading...',
	close: 'Close',
	noDomain: 'Please, enter a domain name.',
	hintTextFieldDomain: 'Enter a domain name.',
	textSettings: 'Settings',
	textServicesManager: 'Settings > Services Manager',
	no_product : 'All Services Disabled',
	no_product_howto : 'Enable at least one service in the settings menu',
	
	//Login
	textLogin: 'Login',
	textUsername: 'Your Username',
	textKey: 'Your Key',
	textButtonLogin: 'Login',
	
	//Settings
	textEnablePresentation: 'Show Presentation Text',
	
	//Presentation
	presentation: 'Welcome to the DomainTools App.',
	presentationText: 'Start your domain name research on the go with our FREE Domain Profile, Whois Lookup and Website Screenshots. Visit our mobile-optimized site at DomainTools.com when you\'re ready to go deeper with historic screenshots, Whois History, Reverse Whois and more.',
	about_us: 'About Us',
	presentationText2: 'DomainTools offers the most comprehensive searchable database of domain name information and hosting data. We have historical records on millions of domains going back as much as ten years or more, and we offer a complete API to access nearly all of it.\n\nSend your questions or feedback to',
	presentationEmail: 'memberservices@domaintools.com',
	presentationSwitch: 'Show this message at startup.',
	
	//Results
	domainInvalid: 'Domain invalid.',
	unknown: 'unknown',
	yearAgo: ' year ago',
	yearsAgo: ' years ago',

	//Whois
	ownership_profile: 'Ownership Profile',
	whois_lookup: 'Whois Lookup',
	howto_whois_lookup: 'View the complete ownership record.',
	registrant: 'Registrant: ø',
	registrarWhois: 'Registered with: ø',
	created: 'Created: ø',
	expires: 'Expires: ø',
	updated: 'Updated: ø',
	statuses: 'Statuses: ø',
	servers: 'Servers',
	name_servers: 'Nameserver: ø',
	date: 'Last Whois: ø',
	whois_record: 'Whois Record',
	record: 'ø',

	//Domain Profile
	notRegistered: 'This domain name is not registered.',
	buyThisDomainName: 'Buy this domain name.',
	domain_profile: 'Domain Profile',
	howto_domain_profile: 'Explore connected domains and important dates.',
	registrant: 'Registrant: ø',
	reverse_whois_domain: 'Owns ø other domain name',
	reverse_whois_domains: 'Owns ø other domain names',
	other_no_domain : 'ø (no other domains)',
	other_domain: 'ø (same as § other domain)',
	other_domains: 'ø (same as § other domains)',
	ip_address: 'IP Address',
	other_domainsIP: 'Owns about ø other domains with this IP Address',
	registration: 'Registration',
	created: 'Created: ø',
	expires: 'Expires: ø',
	updated: 'Updated: ø',
	registrar: 'Registered with: ø',
	statuses: 'Registration status: ø',
	status: 'ø',
	servers: 'Name Servers',
	nameserver: 'Nameserver: ø',
	historical_records: 'Historical Records',
	registrar_changes: 'ø registrar changes sinces §',
	ns_changes_year: 'ø name server changes in § year',
	ns_changes_years: 'ø name server changes in § years',
	ip_address_changes_year: 'ø IP address changes in § year',
	ip_address_changes_years: 'ø IP address changes in § years',
	whois_history_records: 'ø Whois History records archived since §',
	seo: 'SEO',
	score: 'Score: ø%',
	
	//Screenshot
	screenshots: 'Website Screenshot',
	no_screenshot: 'No screenshot available',
	howto_screenshots: 'See the website hosted on this domain.',

	//Settings
	tldByDefault: 'Default TLD',
	servicesManager: 'Services Manager',
	howToServicesManager: 'You can manage your services...',
	
	//Errors
	noInternet: 'Internet is not available. You cannot use this application.',
	domain_extension_not_correct : 'Your domain extension ø is not correct.',
	domain_name_minus : 'Domain name should not begin or end with \'-\'.',
	domain_special_characters : 'Your domain name should not have special characters.',
	no_data: 'No data available.',
	select_a_domain: 'Please select a domain',
	select_a_domain_manager: 'Please select services in Services Manager',
}