Ti.include('/ui/common/lib/Sha1.js');

function Signer() {}

Signer.getTimestamp = function() {
	var date = new Date();
	return date.toISOString();
}

Signer.getSignature = function(uri,timestamp){
	return CryptoJS.HmacMD5(Ti.App.API.getUsername()+timestamp+uri,Ti.App.API.getKey());
}

Signer.getURL = function(uri) {
	var timestamp = this.getTimestamp();
	return 'http://'+Ti.App.Config.getHost()+uri+'?api_username='+Ti.App.API.getUsername()+'&signature='+this.getSignature(uri,timestamp)+'&timestamp='+timestamp+"&format=xml&uuid="+Titanium.Platform.id;
}

module.exports = Signer;
