function ApplicationWindow() {
	var View = require('/ui/common/views/View');
	View.call(this);
	if ( typeof ApplicationWindow.initialized == "undefined") {
		for (var element in View.prototype ) {
			ApplicationWindow.prototype[element] = View.prototype[element]
		}
		//declare module dependencies
		var MasterView = require('/ui/common/MasterView');
		var masterView = new MasterView();
		
		//The settingsView openable with the options menu button
		var SettingsView = require('/ui/common/views/shared/Settings');
		var settingsView = new SettingsView(masterView);
		var self = Ti.UI.createWindow({
			title : 'Whois and Domain Profile',
			exitOnClose : true,
			navBarHidden : false,
			backgroundColor : View.prototype.getDTC().colors.grey,
			activity : {
				onPrepareOptionsMenu : function(e) {
					masterView.tab.open(settingsView);
				},
			}
		});

/*		settingsView.addEventListener("close", function() {
			Ti.API.debug("!!!!!!!!!!!!!!!!!! close !!!!!!!!!!!!!!!!!!!!");
			self = Ti.UI.createWindow({
				title : 'Whois and Domain Profile',
				exitOnClose : true,
				navBarHidden : false,
				backgroundColor : View.prototype.getDTC().colors.grey,
				activity : {
					onCreateOptionsMenu : function(e) {
						masterView.tab.open(settingsView);
					}
				}
			});
		});

		/*
		var self = Ti.UI.createWindow({
		title : 'Whois and Domain Profile',
		exitOnClose : true,
		navBarHidden : false,
		backgroundColor : View.prototype.getDTC().colors.grey,
		activity : {
		onCreateOptionsMenu : function(e) {
		masterView.tab.open(settingsView);

		var menu = e.menu;
		var menuItemLogin = menu.add({
		title : 'Login'
		});
		//Login
		var Login = require('/ui/common/views/shared/Login');
		var login = new Login();
		if(Ti.Platform.displayCaps.platformWidth <= 240)
		menuItemLogin.setIcon("/images/DTLoginTiny.png");
		else if(Ti.Platform.displayCaps.platformWidth <= 320)
		menuItemLogin.setIcon("/images/DTLogin.png");
		else
		menuItemLogin.setIcon("/images/DTLoginBig.png");
		menuItemLogin.addEventListener('click', function(e) {
		masterView.tab.open(login.subWinLogin);
		});
		var menuItemSettings = menu.add({
		title : 'Settings'
		});
		if(Ti.Platform.displayCaps.platformWidth <= 240)
		menuItemSettings.setIcon("/images/DTSettingsTiny.png");
		else if(Ti.Platform.displayCaps.platformWidth <= 320)
		menuItemSettings.setIcon("/images/DTSettings.png");
		else
		menuItemSettings.setIcon("/images/DTSettingsBig.png");
		SettingsView = require('/ui/common/views/shared/Settings');
		var settingsView = new SettingsView(masterView);
		menuItemSettings.addEventListener('click', function(e) {
		masterView.tab.open(settingsView);
		});

		}
		}
		});
		*/

		//create master view container
		self.add(masterView.view);
	}
	return self;
};

module.exports = ApplicationWindow;
