function Login() {
	var View = require('/ui/common/views/View');
	View.call(this);
	if( typeof Login.initialized == "undefined") {
		for(var element in View.prototype ) {
			Login.prototype[element] = View.prototype[element]
		}
		Login.initialized = true;
	}
	this.subWinLogin = Ti.UI.createWindow({
		title : this.getDTC().lang.textLogin,
		backgroundColor : this.getDTC().colors.black,
	});

	this.viewLog = Ti.UI.createView({
		borderRadius : 10,
		backgroundColor : this.getDTC().colors.white,
		top : 20,
		left : 20,
		right : 20,
		bottom : 20
	});

	var tfUsername = Titanium.UI.createTextField({
		color : this.getDTC().colors.grey,
		top : this.getDTC().sizes.tfUsernameTop,
		width : this.getDTC().sizes.tfWidth,
		hintText : this.getDTC().lang.textUsername,
	});

	var tfKey = Titanium.UI.createTextField({
		color : this.getDTC().colors.grey,
		top : this.getDTC().sizes.tfKeyTop,
		width : this.getDTC().sizes.tfWidth,
		hintText : this.getDTC().lang.textKey,
		passwordMask : true,
	});

	var buttonLogin = Titanium.UI.createButton({
		title : this.getDTC().lang.textButtonLogin,
		font : {
			fontSize : this.getDTC().sizes.buttonLoginFontSize,
		},
		color : this.getDTC().colors.white,
		backgroundColor : this.getDTC().colors.red,
		borderRadius : 5,
		height : this.getDTC().sizes.buttonLoginHeight,
		top : this.getDTC().sizes.buttonLoginTop,
		width : this.getDTC().sizes.buttonLoginWidth,
	});

	this.viewLog.add(tfUsername);
	this.viewLog.add(tfKey);
	this.viewLog.add(buttonLogin);

	this.subWinLogin.add(this.viewLog);
	return this;
}

module.exports = Login;
